public static interface QueueEndpointBuilderFactory.QueueBuilders
| Modifier and Type | Method and Description |
|---|---|
default QueueEndpointBuilderFactory.QueueEndpointBuilder |
azureStorageQueue(String path)
Azure Storage Queue Service (camel-azure-storage-queue)
The azure-storage-queue component is used for storing and retrieving
the messages to/from Azure Storage Queue using Azure SDK v12.
|
default QueueEndpointBuilderFactory.QueueEndpointBuilder |
azureStorageQueue(String componentName,
String path)
Azure Storage Queue Service (camel-azure-storage-queue)
The azure-storage-queue component is used for storing and retrieving
the messages to/from Azure Storage Queue using Azure SDK v12.
|
default QueueEndpointBuilderFactory.QueueEndpointBuilder azureStorageQueue(String path)
azure-storage-queue:accountName/queueName
Path parameter: accountName
Azure account name to be used for authentication with azure queue
services
Path parameter: queueName
The queue resource namepath - accountName/queueNamedefault QueueEndpointBuilderFactory.QueueEndpointBuilder azureStorageQueue(String componentName, String path)
azure-storage-queue:accountName/queueName
Path parameter: accountName
Azure account name to be used for authentication with azure queue
services
Path parameter: queueName
The queue resource namecomponentName - to use a custom component name for the endpoint
instead of the default namepath - accountName/queueNameApache Camel